org.bdgenomics.adam.cli

# VizServlet

#### class VizServlet extends ScalatraServlet with JacksonJsonSupport

Linear Supertypes
JacksonJsonSupport, JValueResult, JacksonJsonOutput, JsonMethods, JsonSupport[JValue], JsonOutput[JValue], JsonMethods[JValue], ApiFormats, ScalatraServlet, ServletBase, ScalatraBase, CookieSupport, DefaultImplicitConversions, LowPriorityImplicitConversions, LowestPriorityImplicitConversions, TypeConverterSupport, ScalatraParamsImplicits, Initializable, DynamicScope, RequestResponseScope, CoreDsl, Control, Handler, ScalatraContext, CookieContext, SessionSupport, ServletApiImplicits, HttpServlet, GenericServlet, Serializable, ServletConfig, Servlet, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. VizServlet
2. JacksonJsonSupport
3. JValueResult
4. JacksonJsonOutput
5. JsonMethods
6. JsonSupport
7. JsonOutput
8. JsonMethods
9. ApiFormats
10. ScalatraServlet
11. ServletBase
12. ScalatraBase
13. CookieSupport
14. DefaultImplicitConversions
15. LowPriorityImplicitConversions
16. LowestPriorityImplicitConversions
17. TypeConverterSupport
18. ScalatraParamsImplicits
19. Initializable
20. DynamicScope
21. RequestResponseScope
22. CoreDsl
23. Control
24. Handler
25. ScalatraContext
26. CookieContext
27. SessionSupport
28. ServletApiImplicits
29. HttpServlet
30. GenericServlet
31. Serializable
32. ServletConfig
33. Servlet
34. AnyRef
35. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new VizServlet()

### Type Members

1. #### trait Config extends AnyRef

   Definition Classes
     Initializable

2. #### type ConfigT = ServletConfig

   Definition Classes
     ScalatraServlet → ServletBase → Initializable

3. #### sealed class TypedMultiParams extends AnyRef

   Definition Classes
     ScalatraParamsImplicits

4. #### sealed class TypedParams extends AnyRef

   Definition Classes
     ScalatraParamsImplicits

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def acceptHeader(implicit request: HttpServletRequest): List[String]

   Definition Classes
     ApiFormats

7. #### def acceptedFormats(accepted: Symbol*): Boolean

   Attributes
     protected
   Definition Classes
     ApiFormats

8. #### def addMimeMapping(mime: String, extension: String): Unit

   Attributes
     protected
   Definition Classes
     ApiFormats

9. #### def addRoute(method: HttpMethod, transformers: Seq[RouteTransformer], action: ⇒ Any): Route

   Attributes
     protected
   Definition Classes
     ScalatraBase

10. #### def addSessionId(uri: String)(implicit response: HttpServletResponse): String

    Attributes
      protected
    Definition Classes
      ScalatraBase

11. #### def addStatusRoute(codes: Range, action: ⇒ Any): Unit

    Attributes
      protected[org.scalatra]
    Definition Classes
      ScalatraBase

12. #### def after(transformers: RouteTransformer*)(fun: ⇒ Any): Unit

    Definition Classes
      ScalatraBase → CoreDsl

13. #### implicit val anyToBoolean: TypeConverter[Any, Boolean]

    Definition Classes
      LowPriorityImplicitConversions

14. #### implicit val anyToByte: TypeConverter[Any, Byte]

    Definition Classes
      LowPriorityImplicitConversions

15. #### implicit val anyToDouble: TypeConverter[Any, Double]

    Definition Classes
      LowPriorityImplicitConversions

16. #### implicit val anyToFloat: TypeConverter[Any, Float]

    Definition Classes
      LowPriorityImplicitConversions

17. #### implicit val anyToInt: TypeConverter[Any, Int]

    Definition Classes
      LowPriorityImplicitConversions

18. #### implicit val anyToLong: TypeConverter[Any, Long]

    Definition Classes
      LowPriorityImplicitConversions

19. #### implicit val anyToShort: TypeConverter[Any, Short]

    Definition Classes
      LowPriorityImplicitConversions

20. #### implicit val anyToString: TypeConverter[Any, String]

    Definition Classes
      LowPriorityImplicitConversions

21. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

22. #### def asJValue[T](obj: T)(implicit writer: Writer[T]): JValue

    Definition Classes
      JsonMethods

23. #### def before(transformers: RouteTransformer*)(fun: ⇒ Any): Unit

    Definition Classes
      ScalatraBase → CoreDsl

24. #### implicit def booleanBlock2RouteMatcher(block: ⇒ Boolean): RouteMatcher

    Attributes
      protected
    Definition Classes
      ScalatraBase

25. #### def cacheRequestBodyAsString: Boolean

    Attributes
      protected
    Definition Classes
      JsonSupport

26. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### def compact(d: JValue): String

    Definition Classes
      JsonMethods → JsonMethods

28. #### var config: ConfigT

    Definition Classes
      ScalatraBase

29. #### implicit def configWrapper(config: ConfigT): Config { object initParameters }

    Attributes
      protected
    Definition Classes
      ServletBase → Initializable

30. #### def contentType: String

    Definition Classes
      ScalatraContext

31. #### def contentTypeInferrer: ContentTypeInferrer

    Attributes
      protected
    Definition Classes
      ApiFormats → ScalatraBase

32. #### def contentType_=(contentType: String): Unit

    Definition Classes
      ScalatraContext

33. #### def contextPath: String

    Attributes
      protected
    Definition Classes
      ScalatraBase

34. #### implicit def cookieOptions: CookieOptions

    Definition Classes
      CookieContext

35. #### def cookies: SweetCookies

    Definition Classes
      CookieContext

36. #### def defaultAcceptedFormats: List[Symbol]

    Definition Classes
      ApiFormats

37. #### val defaultCharacterEncoding: String

    Attributes
      protected
    Definition Classes
      ScalatraBase

38. #### def defaultFormat: Symbol

    Definition Classes
      ApiFormats

39. #### implicit def defaultStringToSeq[T](implicit elementConverter: TypeConverter[String, T], mf: Manifest[T]): TypeConverter[String, Seq[T]]

    Definition Classes
      DefaultImplicitConversions

40. #### def delete(transformers: RouteTransformer*)(action: ⇒ Any): Route

    Definition Classes
      ScalatraBase → CoreDsl

41. #### def destroy(): Unit

    Definition Classes
      ScalatraServlet → GenericServlet → Servlet

42. #### def doDelete(arg0: HttpServletRequest, arg1: HttpServletResponse): Unit

    Attributes
      protected[javax.servlet.http]
    Definition Classes
      HttpServlet
    Annotations
      @throws( classOf[java.io.IOException] ) @throws( ... )

43. #### def doGet(arg0: HttpServletRequest, arg1: HttpServletResponse): Unit

    Attributes
      protected[javax.servlet.http]
    Definition Classes
      HttpServlet
    Annotations
      @throws( classOf[java.io.IOException] ) @throws( ... )

44. #### def doHead(arg0: HttpServletRequest, arg1: HttpServletResponse): Unit

    Attributes
      protected[javax.servlet.http]
    Definition Classes
      HttpServlet
    Annotations
      @throws( classOf[java.io.IOException] ) @throws( ... )

45. #### var doMethodNotAllowed: (Set[HttpMethod]) ⇒ Any

    Attributes
      protected
    Definition Classes
      ScalatraBase

46. #### var doNotFound: () ⇒ Any

    Attributes
      protected
    Definition Classes
      ScalatraServlet → ScalatraBase

47. #### def doOptions(arg0: HttpServletRequest, arg1: HttpServletResponse): Unit

    Attributes
      protected[javax.servlet.http]
    Definition Classes
      HttpServlet
    Annotations
      @throws( classOf[java.io.IOException] ) @throws( ... )

48. #### def doPost(arg0: HttpServletRequest, arg1: HttpServletResponse): Unit

    Attributes
      protected[javax.servlet.http]
    Definition Classes
      HttpServlet
    Annotations
      @throws( classOf[java.io.IOException] ) @throws( ... )

49. #### def doPut(arg0: HttpServletRequest, arg1: HttpServletResponse): Unit

    Attributes
      protected[javax.servlet.http]
    Definition Classes
      HttpServlet
    Annotations
      @throws( classOf[java.io.IOException] ) @throws( ... )

50. #### def doTrace(arg0: HttpServletRequest, arg1: HttpServletResponse): Unit

    Attributes
      protected[javax.servlet.http]
    Definition Classes
      HttpServlet
    Annotations
      @throws( classOf[java.io.IOException] ) @throws( ... )

51. #### implicit def enrichRequest(request: HttpServletRequest): RichRequest

    Definition Classes
      ServletApiImplicits

52. #### implicit def enrichResponse(response: HttpServletResponse): RichResponse

    Definition Classes
      ServletApiImplicits

53. #### implicit def enrichServletContext(servletContext: ServletContext): RichServletContext

    Definition Classes
      ServletApiImplicits

54. #### implicit def enrichSession(session: HttpSession): RichSession

    Definition Classes
      ServletApiImplicits

55. #### def environment: String

    Definition Classes
      ScalatraBase

56. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

57. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

58. #### def error(handler: ErrorHandler): Unit

    Definition Classes
      ScalatraBase → CoreDsl

59. #### var errorHandler: ErrorHandler

    Attributes
      protected
    Definition Classes
      ScalatraBase

60. #### def executeRoutes(): Unit

    Attributes
      protected
    Definition Classes
      ScalatraBase

61. #### def extractStatusCode(e: HaltException): Int

    Attributes
      protected
    Definition Classes
      ScalatraBase

62. #### var filteredArray: Array[AlignmentRecord]

63. #### var filteredLayout: OrderedTrackedLayout[AlignmentRecord]

64. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

65. #### def format(implicit request: HttpServletRequest, response: HttpServletResponse): String

    Definition Classes
      ApiFormats

66. #### def formatForMimeTypes(mimeTypes: String*): Option[String]

    Attributes
      protected
    Definition Classes
      ApiFormats

67. #### def format_=(formatValue: String): Unit

    Definition Classes
      ScalatraContext

68. #### def format_=(formatValue: Symbol): Unit

    Definition Classes
      ScalatraContext

69. #### val formats: Map[String, String]

    Definition Classes
      ApiFormats

70. #### def fromJValue[T](json: JValue)(implicit reader: Reader[T]): T

    Definition Classes
      JsonMethods

71. #### def fullUrl(path: String, params: Iterable[(String, Any)], includeContextPath: Boolean, includeServletPath: Boolean, withSessionId: Boolean)(implicit request: HttpServletRequest, response: HttpServletResponse): String

    Definition Classes
      ScalatraBase

72. #### def get(transformers: RouteTransformer*)(action: ⇒ Any): Route

    Definition Classes
      ScalatraBase → CoreDsl

73. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

74. #### def getInitParameter(arg0: String): String

    Definition Classes
      GenericServlet → ServletConfig

75. #### def getInitParameterNames(): Enumeration[String]

    Definition Classes
      GenericServlet → ServletConfig

76. #### def getLastModified(arg0: HttpServletRequest): Long

    Attributes
      protected[javax.servlet.http]
    Definition Classes
      HttpServlet

77. #### def getServletConfig(): ServletConfig

    Definition Classes
      GenericServlet → Servlet

78. #### def getServletContext(): ServletContext

    Definition Classes
      GenericServlet → ServletConfig

79. #### def getServletInfo(): String

    Definition Classes
      GenericServlet → Servlet

80. #### def getServletName(): String

    Definition Classes
      GenericServlet → ServletConfig

81. #### def halt(result: ActionResult): Nothing

    Definition Classes
      Control

82. #### def halt[T](status: Integer, body: T, headers: Map[String, String], reason: String)(implicit arg0: Manifest[T]): Nothing

    Definition Classes
      Control

83. #### def handle(request: HttpServletRequest, response: HttpServletResponse): Unit

    Definition Classes
      ServletBase → ScalatraBase → Handler

84. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

85. #### def head(transformers: RouteTransformer*)(action: ⇒ Any): Route

    Definition Classes
      ScalatraBase → CoreDsl

86. #### def inferFromFormats: ContentTypeInferrer

    Attributes
      protected
    Definition Classes
      ApiFormats

87. #### def init(config: ServletConfig): Unit

    Definition Classes
      ScalatraServlet → GenericServlet → Servlet

88. #### def init(): Unit

    Definition Classes
      GenericServlet
    Annotations
      @throws( ... )

89. #### def initParameter(name: String): Option[String]

    Definition Classes
      ScalatraBase

90. #### def initialize(config: ServletConfig): Unit

    Definition Classes
      ScalatraServlet → ScalatraBase → Initializable

91. #### def invoke(matchedRoute: MatchedRoute): Option[Any]

    Attributes
      protected
    Definition Classes
      JsonSupport → ScalatraBase

92. #### def isAsyncExecutable(result: Any): Boolean

    Attributes
      protected
    Definition Classes
      ScalatraBase

93. #### def isDevelopmentMode: Boolean

    Definition Classes
      ScalatraBase

94. #### def isHttps(implicit request: HttpServletRequest): Boolean

    Attributes
      protected
    Definition Classes
      ScalatraBase

95. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

96. #### implicit val jsonFormats: Formats

    Attributes
      protected
    Definition Classes
      VizServlet → JValueResult

97. #### lazy val jsonVulnerabilityGuard: Boolean

    Attributes
      protected
    Definition Classes
      JsonOutput

98. #### def jsonpCallbackParameterNames: Iterable[String]

    Definition Classes
      JsonOutput

99. #### def log(arg0: String, arg1: Throwable): Unit

    Definition Classes
      GenericServlet

100. #### def log(arg0: String): Unit

     Definition Classes
       GenericServlet

101. #### implicit def lowestPriorityAny2T[T](implicit arg0: Manifest[T]): TypeConverter[Any, T]

     Definition Classes
       LowestPriorityImplicitConversions

102. #### def mapper: ObjectMapper

     Definition Classes
       JsonMethods

103. #### def methodNotAllowed(f: (Set[HttpMethod]) ⇒ Any): Unit

     Definition Classes
       ScalatraBase → CoreDsl

104. #### val mimeTypes: Map[String, String]

     Definition Classes
       ApiFormats

105. #### def multiParams(implicit request: HttpServletRequest): MultiParams

     Definition Classes
       ScalatraBase

106. #### def multiParams(key: String)(implicit request: HttpServletRequest): Seq[String]

     Definition Classes
       ScalatraBase

107. #### final def ne(arg0: AnyRef): Boolean

     Definition Classes
       AnyRef

108. #### def needsHttps: Boolean

     Attributes
       protected
     Definition Classes
       ScalatraBase

109. #### def notFound(fun: ⇒ Any): Unit

     Definition Classes
       ScalatraBase → CoreDsl

110. #### final def notify(): Unit

     Definition Classes
       AnyRef

111. #### final def notifyAll(): Unit

     Definition Classes
       AnyRef

112. #### def options(transformers: RouteTransformer*)(action: ⇒ Any): Route

     Definition Classes
       ScalatraBase → CoreDsl

113. #### def params(implicit request: HttpServletRequest): Params

     Definition Classes
       ScalatraBase

114. #### def params(key: Symbol)(implicit request: HttpServletRequest): String

     Definition Classes
       ScalatraBase

115. #### def params(key: String)(implicit request: HttpServletRequest): String

     Definition Classes
       ScalatraBase

116. #### def parse(in: JsonInput, useBigDecimalForDouble: Boolean): JValue

     Definition Classes
       JsonMethods → JsonMethods

117. #### def parseOpt(in: JsonInput, useBigDecimalForDouble: Boolean): Option[JValue]

     Definition Classes
       JsonMethods → JsonMethods

118. #### def parseRequestBody(format: String)(implicit request: HttpServletRequest): JValue

     Attributes
       protected
     Definition Classes
       JsonSupport

119. #### def parsedBody(implicit request: HttpServletRequest): JValue

     Definition Classes
       JsonSupport

120. #### def pass(): Nothing

     Definition Classes
       Control

121. #### def patch(transformers: RouteTransformer*)(action: ⇒ Any): Route

     Definition Classes
       ScalatraBase → CoreDsl

122. #### implicit def pathPatternParser2RouteMatcher(pattern: PathPattern): RouteMatcher

     Attributes
       protected
     Definition Classes
       ScalatraBase

123. #### def post(transformers: RouteTransformer*)(action: ⇒ Any): Route

     Definition Classes
       ScalatraBase → CoreDsl

124. #### def pretty(d: JValue): String

     Definition Classes
       JsonMethods → JsonMethods

125. #### def put(transformers: RouteTransformer*)(action: ⇒ Any): Route

     Definition Classes
       ScalatraBase → CoreDsl

126. #### def readJsonFromBody(bd: String): JValue

     Attributes
       protected
     Definition Classes
       JacksonJsonSupport → JsonSupport

127. #### def readJsonFromStream(stream: InputStream): JValue

     Attributes
       protected
     Definition Classes
       JsonSupport

128. #### def readJsonFromStreamWithCharset(stream: InputStream, charset: String): JValue

     Attributes
       protected
     Definition Classes
       JacksonJsonSupport → JsonSupport

129. #### def readXmlFromBody(bd: String): JValue

     Attributes
       protected
     Definition Classes
       JsonSupport

130. #### def readXmlFromStream(stream: InputStream): JValue

     Attributes
       protected
     Definition Classes
       JsonSupport

131. #### def redirect(uri: String)(implicit request: HttpServletRequest, response: HttpServletResponse): Nothing

     Definition Classes
       ScalatraBase

132. #### var regInfo: ReferenceRegion

133. #### implicit def regex2RouteMatcher(regex: Regex): RouteMatcher

     Attributes
       protected
     Definition Classes
       ScalatraBase

134. #### def relativeUrl(path: String, params: Iterable[(String, Any)], includeContextPath: Boolean, includeServletPath: Boolean)(implicit request: HttpServletRequest, response: HttpServletResponse): String

     Definition Classes
       ScalatraBase

135. #### def removeRoute(method: String, route: Route): Unit

     Attributes
       protected
     Definition Classes
       ScalatraBase

136. #### def removeRoute(method: HttpMethod, route: Route): Unit

     Attributes
       protected
     Definition Classes
       ScalatraBase

137. #### def render(value: JValue): JValue

     Definition Classes
       JsonMethods → JsonMethods

138. #### def renderHaltException(e: HaltException): Unit

     Attributes
       protected
     Definition Classes
       ScalatraBase

139. #### def renderPipeline: RenderPipeline

     Attributes
       protected
     Definition Classes
       JValueResult → ScalatraBase

140. #### def renderResponse(actionResult: Any): Unit

     Attributes
       protected
     Definition Classes
       ScalatraBase

141. #### def renderResponseBody(actionResult: Any): Unit

     Attributes
       protected
     Definition Classes
       ScalatraBase

142. #### def renderUncaughtException(e: Throwable)(implicit request: HttpServletRequest, response: HttpServletResponse): Unit

     Attributes
       protected
     Definition Classes
       ScalatraBase

143. #### implicit def request: HttpServletRequest

     Definition Classes
       DynamicScope → RequestResponseScope

144. #### def requestFormat(implicit request: HttpServletRequest): String

     Definition Classes
       ApiFormats

145. #### def requestPath(implicit request: HttpServletRequest): String

     Definition Classes
       ScalatraServlet → ScalatraBase

146. #### def resourceNotFound(): Any

     Attributes
       protected
     Definition Classes
       ScalatraServlet

147. #### implicit def response: HttpServletResponse

     Definition Classes
       DynamicScope → RequestResponseScope

148. #### def routeBasePath(implicit request: HttpServletRequest): String

     Attributes
       protected
     Definition Classes
       ScalatraServlet → ScalatraBase

149. #### lazy val routes: RouteRegistry

     Definition Classes
       ScalatraBase

150. #### def runFilters(filters: Traversable[Route]): Unit

     Attributes
       protected
     Definition Classes
       ScalatraBase

151. #### def runRoutes(routes: Traversable[Route]): Stream[Any]

     Attributes
       protected
     Definition Classes
       ScalatraBase

152. #### implicit def safe[S, T](f: (S) ⇒ T): TypeConverter[S, T]

     Definition Classes
       TypeConverterSupport

153. #### implicit def safeOption[S, T](f: (S) ⇒ Option[T]): TypeConverter[S, T]

     Definition Classes
       TypeConverterSupport

154. #### implicit def scalatraContext: ScalatraContext

     Attributes
       protected[this]
     Definition Classes
       ScalatraContext

155. #### implicit def seqHead[T](implicit elementConverter: TypeConverter[String, T], mf: Manifest[T]): TypeConverter[Seq[String], T]

     Definition Classes
       DefaultImplicitConversions

156. #### implicit def seqToSeq[T](implicit elementConverter: TypeConverter[String, T], mf: Manifest[T]): TypeConverter[Seq[String], Seq[T]]

     Definition Classes
       DefaultImplicitConversions

157. #### def serveStaticResource(): Option[Any]

     Attributes
       protected
     Definition Classes
       ScalatraServlet

158. #### def serverHost(implicit request: HttpServletRequest): String

     Definition Classes
       ScalatraBase

159. #### def serverPort(implicit request: HttpServletRequest): Int

     Definition Classes
       ScalatraBase

160. #### def service(request: HttpServletRequest, response: HttpServletResponse): Unit

     Definition Classes
       ScalatraServlet → HttpServlet

161. #### def service(arg0: ServletRequest, arg1: ServletResponse): Unit

     Definition Classes
       HttpServlet → GenericServlet → Servlet
     Annotations
       @throws( classOf[java.io.IOException] ) @throws( ... )

162. #### def servletContext: ServletContext

     Definition Classes
       ScalatraBase → ScalatraContext

163. #### def session(key: Symbol)(implicit request: HttpServletRequest): Any

     Definition Classes
       SessionSupport

164. #### def session(key: String)(implicit request: HttpServletRequest): Any

     Definition Classes
       SessionSupport

165. #### implicit def session(implicit request: HttpServletRequest): HttpSession

     Definition Classes
       SessionSupport

166. #### def sessionOption(implicit request: HttpServletRequest): Option[HttpSession]

     Definition Classes
       SessionSupport

167. #### def setMultiparams[S](matchedRoute: Option[MatchedRoute], originalParams: MultiParams)(implicit request: HttpServletRequest): Unit

     Attributes
       protected
     Definition Classes
       ScalatraBase

168. #### def shouldParseBody(fmt: String)(implicit request: HttpServletRequest): Boolean

     Attributes
       protected
     Definition Classes
       JsonSupport

169. #### def shutdown(): Unit

     Attributes
       protected
     Definition Classes
       Initializable

170. #### def status: Int

     Definition Classes
       ScalatraContext

171. #### def status_=(code: Int): Unit

     Definition Classes
       ScalatraContext

172. #### implicit def string2RouteMatcher(path: String): RouteMatcher

     Attributes
       protected
     Definition Classes
       ScalatraBase

173. #### implicit val stringToBoolean: TypeConverter[String, Boolean]

     Definition Classes
       DefaultImplicitConversions

174. #### implicit val stringToByte: TypeConverter[String, Byte]

     Definition Classes
       DefaultImplicitConversions

175. #### def stringToDate(format: ⇒ String): TypeConverter[String, Date]

     Definition Classes
       DefaultImplicitConversions

176. #### def stringToDateFormat(format: ⇒ DateFormat): TypeConverter[String, Date]

     Definition Classes
       DefaultImplicitConversions

177. #### implicit val stringToDouble: TypeConverter[String, Double]

     Definition Classes
       DefaultImplicitConversions

178. #### implicit val stringToFloat: TypeConverter[String, Float]

     Definition Classes
       DefaultImplicitConversions

179. #### implicit val stringToInt: TypeConverter[String, Int]

     Definition Classes
       DefaultImplicitConversions

180. #### implicit val stringToLong: TypeConverter[String, Long]

     Definition Classes
       DefaultImplicitConversions

181. #### implicit val stringToSelf: TypeConverter[String, String]

     Definition Classes
       DefaultImplicitConversions

182. #### def stringToSeq[T](elementConverter: TypeConverter[String, T], separator: String)(implicit arg0: Manifest[T]): TypeConverter[String, Seq[T]]

     Definition Classes
       DefaultImplicitConversions

183. #### implicit val stringToShort: TypeConverter[String, Short]

     Definition Classes
       DefaultImplicitConversions

184. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

185. #### def toString(): String

     Definition Classes
       AnyRef → Any

186. #### implicit def toTypedMultiParams(params: MultiParams): TypedMultiParams

     Definition Classes
       ScalatraParamsImplicits

187. #### implicit def toTypedParams(params: Params): TypedParams

     Definition Classes
       ScalatraParamsImplicits

188. #### def transformRequestBody(body: JValue): JValue

     Attributes
       protected
     Definition Classes
       JsonSupport

189. #### def transformResponseBody(body: JValue): JValue

     Attributes
       protected
     Definition Classes
       JsonOutput

190. #### def trap(codes: Range)(block: ⇒ Any): Unit

     Definition Classes
       ScalatraBase → CoreDsl

191. #### def trap(code: Int)(block: ⇒ Any): Unit

     Definition Classes
       CoreDsl

192. #### def url(path: String, params: Iterable[(String, Any)], includeContextPath: Boolean, includeServletPath: Boolean, absolutize: Boolean, withSessionId: Boolean)(implicit request: HttpServletRequest, response: HttpServletResponse): String

     Definition Classes
       ScalatraBase

193. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

194. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

195. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

196. #### def withRequest[A](request: HttpServletRequest)(f: ⇒ A): A

     Attributes
       protected
     Definition Classes
       DynamicScope → RequestResponseScope

197. #### def withRequestResponse[A](request: HttpServletRequest, response: HttpServletResponse)(f: ⇒ A): A

     Attributes
       protected
     Definition Classes
       DynamicScope → RequestResponseScope

198. #### def withResponse[A](response: HttpServletResponse)(f: ⇒ A): A

     Attributes
       protected
     Definition Classes
       DynamicScope → RequestResponseScope

199. #### def withRouteMultiParams[S](matchedRoute: Option[MatchedRoute])(thunk: ⇒ S): S

     Attributes
       protected
     Definition Classes
       ApiFormats → ScalatraBase

200. #### def writeJson(json: JValue, writer: Writer): Unit

     Attributes
       protected
     Definition Classes
       JacksonJsonOutput → JsonOutput

201. #### def writeJsonAsXml(json: JValue, writer: Writer): Unit

     Attributes
       protected
     Definition Classes
       JsonOutput

202. #### lazy val xmlRootNode: Elem

     Attributes
       protected
     Definition Classes
       JsonOutput

### Deprecated Value Members

1. #### def _request: DynamicVariable[HttpServletRequest]

   Attributes
     protected
   Definition Classes
     DynamicScope
   Annotations
     @deprecated
   Deprecated

     (Since version 2.1.0) Do not invoke directly. Use `withRequest` to change the binding, or request to get the value

2. #### def _response: DynamicVariable[HttpServletResponse]

   Attributes
     protected
   Definition Classes
     DynamicScope
   Annotations
     @deprecated
   Deprecated

     (Since version 2.1.0) Do not invoke directly. Use `withResponse` to change the binding, or `response` to get the value

3. #### def applicationContext: ServletContext

   Definition Classes
     ScalatraBase
   Annotations
     @deprecated
   Deprecated

     (Since version 2.1.0) Use servletContext instead

4. #### def responseFormat(implicit request: HttpServletRequest, response: HttpServletResponse): String

   Definition Classes
     ApiFormats
   Annotations
     @deprecated
   Deprecated

     (Since version 2.3) `format` now means the same as `responseFormat`, `responseFormat` will be removed eventually

5. #### def status(code: Int): Unit

   Definition Classes
     ScalatraContext
   Annotations
     @deprecated
   Deprecated

     (Since version 2.1.0) Use status_=(Int) instead

### Inherited from JacksonJsonSupport

### Inherited from JValueResult

### Inherited from JacksonJsonOutput

### Inherited from JsonMethods

### Inherited from JsonSupport[JValue]

### Inherited from JsonOutput[JValue]

### Inherited from JsonMethods[JValue]

### Inherited from ApiFormats

### Inherited from ScalatraServlet

### Inherited from ServletBase

### Inherited from ScalatraBase

### Inherited from CookieSupport

### Inherited from DefaultImplicitConversions

### Inherited from LowPriorityImplicitConversions

### Inherited from LowestPriorityImplicitConversions

### Inherited from TypeConverterSupport

### Inherited from ScalatraParamsImplicits

### Inherited from Initializable

### Inherited from DynamicScope

### Inherited from RequestResponseScope

### Inherited from CoreDsl

### Inherited from Control

### Inherited from Handler

### Inherited from ScalatraContext

### Inherited from CookieContext

### Inherited from SessionSupport

### Inherited from ServletApiImplicits

### Inherited from HttpServlet

### Inherited from GenericServlet

### Inherited from Serializable

### Inherited from ServletConfig

### Inherited from Servlet

### Inherited from AnyRef

### Inherited from Any

### Ungrouped